const db = require("../../config").promise();
const fs = require("fs");

const deletePrilog = async (id) => {
  const sql = "DELETE FROM prilozi WHERE prilog_id = ?";
  return db.query(sql, [id]);
};
const getPrilozi = async (id) => {
  const sql = "SELECT * FROM prilozi WHERE propis_id= ?";
  const result = db.query(sql, [id]);
  return result;
};
const izbrisiFiles = async function (sqlPriloziZaBrisanje, id) {
  const rez = db.query(sqlPriloziZaBrisanje, id);
  return rez;
};
const deletePrilogController = async (req, res) => {
  const prilogId = req.query.prilog_id;
  const propisId = req.query.propis_id;

  const sqlPriloziZaBrisanje =
    "SELECT prilog_name FROM prilozi WHERE prilog_id = ?";

  await izbrisiFiles(sqlPriloziZaBrisanje, [prilogId]).then((izbrisano) => {
    izbrisano[0].forEach((izb) => {
      const filePath = `./public/documents/${izb.prilog_name}`;
      fs.unlink(filePath, (err) => {
        if (err) {
          console.error(err);
          return;
        }
      });
    });
  });

  const d = await deletePrilog(prilogId).then((r) => r[0]);

  res.redirect(`/admin/propisi/edit/${propisId}`);
};

module.exports = deletePrilogController;
