const db = require("../../config");
const path = require("path");

const changePropis = async (name, vrsta, oblast, propis_id) => {
  const sqlUpdatePropis =
    "UPDATE propisi SET propisi_name = ?,vrsta_id = ?, oblast_id=? WHERE propisi_id = ?";
  db.query(sqlUpdatePropis, [name, vrsta, oblast, propis_id]);
};

const addNewPrilozi = async (req, propis_id) => {
  const sqlPrilozi =
    "INSERT INTO prilozi (prilog_name, prilog_original, propis_id) VALUES (?,?,?)";

  if (req.files) {
    req.files.forEach((file) => {
      const fileNameChanged = Buffer.from(file.originalname, "latin1").toString(
        "utf8"
      );

      const prilog_original = fileNameChanged;
      const prilog_name = file.filename;
      db.query(sqlPrilozi, [prilog_name, prilog_original, propis_id]);
    });
  }
};

const editPropisController = async (req, res) => {
  const name = req.body.nazivPropisa;
  const vrsta = req.body.vrstaPropisa;
  const oblast = req.body.oblastPropisa;
  const propis_id = req.body.propisId;

  await changePropis(name, vrsta, oblast, propis_id);
  await addNewPrilozi(req, propis_id);

  res.redirect("/admin/dashboard/edited");
};

module.exports = editPropisController;
