const path = require("path");
const db = require("../../config").promise();
const fs = require("fs");

const addPrilozi = async (req, propis_id) => {
  const sqlPrilozi =
    "INSERT INTO prilozi (prilog_name, prilog_original, propis_id) VALUES (?,?,?)";

  req.files.forEach((file) => {
    const fileNameChanged = Buffer.from(file.originalname, "latin1").toString(
      "utf8"
    );

    const prilog_original = fileNameChanged;
    const prilog_name = file.filename;
    db.query(sqlPrilozi, [prilog_name, prilog_original, propis_id]);
  });
};
const addPropis = async (nazivPropisa, vrstaId, oblastId) => {
  const sql =
    "INSERT INTO propisi (propisi_name,vrsta_id,oblast_id) VALUES (?,?,?)";

  const result = db.query(sql, [nazivPropisa, vrstaId, oblastId]);

  return result;
};

const getOblast = async (oblastPropisa) => {
  const sqlOblast = "SELECT oblast_id FROM oblast WHERE oblast_name = ?";
  return db.query(sqlOblast, [oblastPropisa]);
};

const getVrsta = async (vrstaPropisa) => {
  const sqlVrsta = "SELECT vrsta_id FROM vrsta WHERE vrsta_name = ?";
  return db.query(sqlVrsta, [vrstaPropisa]);
};

const kreirajPropisController = async (req, res) => {
  const nazivPropisa = req.body.nazivPropisa;
  const vrstaPropisa = req.body.vrstaPropisa;
  const oblastPropisa = req.body.oblastPropisa;

  const oblastID = await getOblast(oblastPropisa).then(
    (r) => r[0][0].oblast_id
  );

  const vrstaID = await getVrsta(vrstaPropisa).then((r) => r[0][0].vrsta_id);

  const propis_id = await addPropis(nazivPropisa, vrstaID, oblastID).then(
    (r) => r[0].insertId
  );

  const rez = await addPrilozi(req, propis_id).then((r) => r);
  res.redirect("/admin/dashboard/success");
};

module.exports = kreirajPropisController;
