const db = require("../../config").promise();

const getPropis = async (id) => {
  const sql = "SELECT * FROM propisi WHERE propisi_id = ?";
  const result = db.query(sql, [id]);
  return result;
};

const getPrilozi = async (id) => {
  const sql = "SELECT * FROM prilozi WHERE propis_id= ?";
  const result = db.query(sql, [id]);
  return result;
};

const getOblast = async (id) => {
  const sql = "SELECT * FROM oblast WHERE oblast_id = ?";
  const result = db.query(sql, id);
  return result;
};

const getVrsta = async (id) => {
  const sql = "SELECT * FROM vrsta WHERE vrsta_id = ?";
  const result = db.query(sql, id);
  return result;
};

const getAllOblasti = async () => {
  return db.query("SELECT * FROM oblast");
};
const getAllVrste = async () => {
  return db.query("SELECT * FROM vrsta");
};

const propisiEditController = async (req, res) => {
  const propisId = req.params.id;
  const propis = await getPropis(propisId).then((r) => r[0]);
  const prilozi = await getPrilozi(propisId).then((r) => r[0]);
  const oblast = await getOblast(propis[0].oblast_id).then((r) => r[0]);
  const vrsta = await getVrsta(propis[0].vrsta_id).then((r) => r[0]);

  const oblasti = await getAllOblasti().then((r) => r[0]);
  const vrste = await getAllVrste().then((r) => r[0]);

  const edited = req.query.edited;

  res.render("admin/edit", {
    user: req.session.user,
    vrsta: vrste,
    oblast: oblasti,

    propis: propis,
    oblastPropisa: oblast,
    vrstaPropisa: vrsta,
    prilozi: prilozi,
    state: edited,
  });
};

module.exports = propisiEditController;
