const db = require("../config").promise();

const sql =
  "SELECT propisi_id, propisi_name, v.vrsta_name, o.oblast_name FROM propisi p JOIN oblast o ON p.oblast_id = o.oblast_id JOIN vrsta v ON p.vrsta_id = v.vrsta_id";

const sqlPrilozi = "SELECT * FROM prilozi WHERE propis_id = ?";

const getPropisi = async (sql) => {
  const propisi = await db.query(sql);
  return propisi[0];
};

const getPrilozi = async (sql, id) => {
  const prilozi = await db.query(sql, [id]);
  return prilozi[0];
};

const dashboardController = async (req, res) => {
  const propisi = await getPropisi(sql);

  let propisiArr = [];

  for (let i = 0; i < propisi.length; i++) {
    let propisFull = {
      propisi_id: propisi[i].propisi_id,
      propisi_name: propisi[i].propisi_name,
      vrsta_name: propisi[i].vrsta_name,
      oblast_name: propisi[i].oblast_name,
      prilozi: [],
    };
    const prilozi = await getPrilozi(sqlPrilozi, propisi[i].propisi_id);
    propisFull.prilozi.push(...prilozi);
    propisiArr.push(propisFull);
  }

  res.render("home", {
    data: propisiArr,
  });
};

module.exports = dashboardController;

// const db = require("../config");

// const dashboardController = (req, res) => {
//   const sql =
//     "SELECT propisi_id, propisi_name, propisi_prilog, v.vrsta_name, o.oblast_name FROM propisi p JOIN oblast o ON p.oblast_id = o.oblast_id JOIN vrsta v ON p.vrsta_id = v.vrsta_id";

//   db.query(sql, (err, result) => {
//     res.render("home", {
//       user: req.session.user,
//       data: result,
//     });
//   });
// };

// module.exports = dashboardController;
